%define docver 1.3.0

%define major 2
%define libname %mklibname cddb %{major}
%define devname %mklibname cddb -d

%bcond_with bootstrap

Summary:	CDDB access library
Name:		libcddb
Version:	1.3.2
Release:	10
License:	LGPLv2+
Group:		System/Libraries
Url:		http://libcddb.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/libcddb/%{name}-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/libcddb/%{name}-doc-%{docver}.tar.bz2
%if %{without bootstrap}
BuildRequires:	pkgconfig(libcdio)
%endif

%description
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries from %{name}
Group:		System/Libraries

%description -n %{libname}
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.

%files -n %{libname}
%{_libdir}/libcddb.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Devel files from libcddb
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{_lib}cddb-static-devel < 1.3.2-10

%description -n %{devname}
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.

This is the libraries, include files and other resources you can use
to incorporate libcddb into applications.

%files -n %{devname}
%doc ChangeLog README AUTHORS NEWS TODO html
%{_includedir}/cddb
%{_libdir}/libcddb.so
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%package apps
Summary:	Example applications based on %{name}
Group:		Sound

%description apps
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.

This package contains a command line client based on %{name}.

%files apps
%{_bindir}/*

#----------------------------------------------------------------------------

%prep
%setup -q -a 1
mv output html

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std


%changelog
* Wed Jul 02 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3.2-10
+ Revision: 08d2c79
- Drop static devel package, spec cleanup


